#!/usr/bin/make -f

# get back current tag release notes from github
mkrelease:
	quilt push changelog.patch
	debian/lib/gen_changelog.sh
	dos2unix changelog
	quilt refresh
	quilt pop -a
	@echo
	@echo this target is made to fail intentionally, to make sure
	@echo that it is never run during the automated build. please
	@echo ignore the following error, the changelog file has been
	@echo generated successfully.
	@echo
	exit 1


# building man page first before installing docs
override_dh_installdocs:
	go-md2man -in debian/bdf_proxy.1.md -out debian/bdf_proxy.1
	dh_installdocs

override_dh_install:
	dh_install
	mv $(CURDIR)/debian/bdfproxy/usr/bin/bdf_proxy.py $(CURDIR)/debian/bdfproxy/usr/bin/bdf_proxy

%:
	dh $@ --with python2 --buildsystem=pybuild
